angular.module('nwh',['services','controllers','ui.router','angular-carousel'])
.config(function ($stateProvider,$urlRouterProvider){

	$stateProvider
	.state('welcome',{
		url:'/welcome',
		abstract: true,
		views: {
			'main':{
			templateUrl:'templates/welcome.html',
		controller:'welcomeCtrl'	
			}
		}
		
	})
	.state('welcome.home',{
		url:'/home',		
		templateUrl:'templates/home.html',
		controller:'welcomeCtrl'
		
	})
	.state('welcome.business',{
		url:'/business',
		abstract:true,
		
			
				templateUrl:'templates/business.html',
				controller:'bizCtrl'
			
	})
	.state('welcome.business.main',{
		url:'/main',
		views: {
			'business':{
				templateUrl:'templates/business_main.html',
		controller:'bizCtrl'
			}
		}
		
	})
	.state('welcome.education',{
		url:'/education',	
		abstract:true,	
		templateUrl:'templates/education.html',
		controller:'eduCtrl'
		
	})
	.state('welcome.education.main',{
		url:'/main',	
		views: {
			'education':{
				templateUrl:'templates/education_main.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.education.design',{
		url:'/design',	
		views: {
			'education':{
				templateUrl:'templates/design_education.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.education.entrepreneurship',{
		url:'/entrepreneurship',	
		views: {
			'education':{
				templateUrl:'templates/entrepreneurship_education.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.education.infocomm',{
		url:'/infocomm',	
		views: {
			'education':{
				templateUrl:'templates/infocomm_education.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.education.educators_pd',{
		url:'/educators_pd',	
		views: {
			'education':{
				templateUrl:'templates/educators_pd.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.education.apple_1to1',{
		url:'/apple_1to1',	
		views: {
			'education':{
				templateUrl:'templates/apple_1to1.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.education.education_apps',{
		url:'/education_apps',	
		views: {
			'education':{
				templateUrl:'templates/education_apps.html',
		controller:'eduCtrl'
			}
		}	
		
		
	})
	.state('welcome.clients',{
		url:'/clients',	
		abstract:true,	
		templateUrl:'templates/clients.html',
		controller:'clientsCtrl'
		
	})
	.state('welcome.clients.sg',{
		url:'/home',	
		views: {
			'clients':{
				templateUrl:'templates/clients_sg.html',
		controller:'clientsCtrl'
			}
		}		
	})
	.state('welcome.clients.my',{
		url:'/home',	
		views: {
			'clients':{
				templateUrl:'templates/clients_my.html',
		controller:'clientsCtrl'
			}
		}		
	})
	.state('welcome.clients.sgComClients',{
		url:'/sgComClients',	
		views: {
			'clients':{
				templateUrl:'templates/sgComClients.html',
		controller:'clientsCtrl'
			}
		}		
	})
		.state('welcome.clients.sgEduClients',{
		url:'/sgEduClients',	
		views: {
			'clients':{
				templateUrl:'templates/sgEduClients.html',
		controller:'clientsCtrl'
			}
		}		
	})
		.state('welcome.clients.myComClients',{
		url:'/myComClients',	
		views: {
			'clients':{
				templateUrl:'templates/myComClients.html',
		controller:'clientsCtrl'
			}
		}		
	})
		.state('welcome.clients.myEduClients',{
		url:'/myEduClients',	
		views: {
			'clients':{
				templateUrl:'templates/myEduClients.html',
		controller:'clientsCtrl'
			}
		}		
	})
	.state('welcome.aboutus',{
		url:'/aboutus',
		abstract:true,
		templateUrl:'templates/aboutus.html',
		controller:'welcomeCtrl'
		
	})
	.state('welcome.aboutus.corporate_overview',{
		url:'/corporate_overview',
		views: {
			'aboutus':{
				templateUrl:'templates/corporate_overview.html',
				controller:'welcomeCtrl'
			}
		}
		
		
	})
	.state('welcome.aboutus.directors_message',{
		url:'/directors_message',
		views: {
			'aboutus':{
				templateUrl:'templates/directors_message.html',
				controller:'welcomeCtrl'
			}
		}
	})
	.state('welcome.aboutus.code_of_conduct',{
		url:'/code_of_conduct',
		views: {
			'aboutus':{
				templateUrl:'templates/code_of_conduct.html',
				controller:'welcomeCtrl'
			}
		}
		
		
	})
	.state('welcome.aboutus.contact_us',{
		url:'/contact_us',
		views: {
			'aboutus':{
				templateUrl:'templates/contact_us.html',
				controller:'welcomeCtrl'
			}
		}
		
		
	})
	.state('welcome.privacy_disclaimer',{
		url:'privacy_disclaimer',
		templateUrl:'templates/privacy_disclaimer.html',
		controller:'welcomeCtrl'
	})
	;
	$urlRouterProvider.otherwise('/welcome/home');
})